<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="manageAttendeesForm" class="form-horizontal">
        <div class="row ">
            <div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3 gzl-registration-attendees-header">
                <h2>#{messages['net.ihe.gazelle.tm.EventAttendees']}</h2>
                <h:commandButton id="manageAttendeesButton" styleClass="gzl-btn gzl-btn-green"
                                 value="#{messages['net.ihe.gazelle.tm.ManageAttendees']}" action="#{registrationBeanGui.manageAttendeesButtons()}"
                                rendered="#{registrationBeanGui.isManageAttendeeButtonDisplayed()}"/>
        </div>
        </div>
        <div class="row">
            <div class="col-sm-offset-1 col-sm-6 gzl-registration-attendees-message">
                <div  class="gzl-alert gzl-alert-blue">
                    <span>
                        <i class="glyphicon glyphicon-ok-sign" />
                        <h:outputText value="#{messages['net.ihe.gazelle.tm.UsersWhoWillOperateTheSystemsUnderTestDuringTheT']}"/>
                    </span>
                </div>
            </div>
        </div>

        <s:div styleClass="gzl-registration-attendees-table" rendered ="#{registrationBeanGui.getAttendees() != null and registrationBeanGui.getAttendees().size() != 0}">
            <rich:dataTable id="attendeesTableId" value="#{registrationBeanGui.getAttendees()}" var="attendee"
                            rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                            styleClass="table table-responsive">
                <g:column sortBy="#{messages['net.ihe.gazelle.tm.Ascending']}" >
                    <ui:define name="header">#{messages['gazelle.tm.FirstName']}</ui:define>
                    <h:outputText value="#{attendee.firstName}"/>
                </g:column>
                <g:column  sortOrder="ascending">
                    <ui:define name="header">#{messages['gazelle.systems.financial.LastName']}</ui:define>
                    <h:outputText value="#{attendee.lastName}"/>
                </g:column>
                <g:column  >
                    <ui:define name="header">#{messages['gazelle.systems.financial.Email']}</ui:define>
                    <h:outputText value="#{attendee.email}"/>
                </g:column>
                <g:column >
                    <ui:define name="header">#{messages['gazelle.tf.table.Status']}</ui:define>
                    <h:outputText value="#{attendee.connectathonParticipantStatus.name}"/>
                </g:column>
                <g:column >
                    <ui:define name="header">#{messages['gazelle.common.Monday']}</ui:define>
                    <h:selectBooleanCheckbox disabled="true" value="#{attendee.mondayMeal}" />
                </g:column>
                <g:column >
                    <ui:define name="header">#{messages['gazelle.common.Tuesday']}</ui:define>
                    <h:selectBooleanCheckbox disabled="true" value="#{attendee.tuesdayMeal}" />
                </g:column>
                <g:column >
                    <ui:define name="header">#{messages['gazelle.common.Wednesday']}</ui:define>
                    <h:selectBooleanCheckbox disabled="true" value="#{attendee.wednesdayMeal}" />
                </g:column>
                <g:column >
                    <ui:define name="header">#{messages['gazelle.common.Thursday']}</ui:define>
                    <h:selectBooleanCheckbox disabled="true" value="#{attendee.thursdayMeal}" />
                </g:column>
                <g:column >
                    <ui:define name="header">#{messages['gazelle.common.Friday']}</ui:define>
                    <h:selectBooleanCheckbox disabled="true" value="#{attendee.fridayMeal}" />
                </g:column>
                <g:column >
                    <ui:define name="header">#{messages['gazelle.common.VegetarianMeal']}</ui:define>
                    <h:selectBooleanCheckbox disabled="true" value="#{attendee.vegetarianMeal}" />
                </g:column>
                <g:column >
                    <ui:define name="header">#{messages['gazelle.users.connectaton.participants.SocialEvent']}</ui:define>
                    <h:selectBooleanCheckbox disabled="true" value="#{attendee.socialEvent}" />
                </g:column>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="ds"/>
                        <ui:param name="dataTableId" value="attendeesTableId"/>
                    </ui:include>
                </f:facet>
            </rich:dataTable>
        </s:div>

        <s:div rendered ="#{registrationBeanGui.getAttendees() != null and registrationBeanGui.getAttendees().size() == 0}" styleClass="row">
            <div class="col-sm-offset-1 col-sm-6 gzl-registration-attendees-message">
                <div  class="gzl-alert gzl-alert-orange">
                    <span>
                        <i class="glyphicon glyphicon-warning-sign" />
                        <h:outputText value="#{messages['net.ihe.gazelle.tm.NoAttendeesRegisteredYet']} "/>
                    </span>
                </div>
            </div>
        </s:div>

    </h:form>



</ui:composition>

